#ifndef varmod1_included
#define varmod1_included
#ifndef  NOSTATVER
static char cvsid_varmod1[]="@(#) Anacad $Id: varmod1.h,v 1.15 2002/09/20 07:19:53 joelb Exp $"; /* %Z%%M% %I% %E% Anacad */
#endif
/*------------------------------------------------------------*/
/*                 ANACAD COMPUTER SYSTEM                     */
/*            COPYRIGHT                1990                   */
/*------------------------------------------------------------*/
/*                                                            */
/*     name : varmod1.h     |      release :                  */
/* language :  C            |      version : %I%              */
/*     date : %D%      |      author  :                  */
/*                                                            */
/*------------------------------------------------------------*/
/*                                                            */
/* parameters                                                 */
/* ==========                                                 */
/*                                                            */
/*  name   type  IN/OUT              function                 */
/*                                                            */
/*                                                            */
/*------------------------------------------------------------*/
/*                                                            */
/* modifications                                              */
/* =============                                              */
/*                                                            */
/*  date                             function                 */
/*                                                            */
/*------------------------------------------------------------*/


#ifndef ELDOVAR
#if vaxvms
#define ELDOVAR globalref
#else
#ifdef _BUILD_ELDO_DLL_
#define ELDOVAR __declspec(dllimport)
#else
#define ELDOVAR extern
#endif
#endif
#endif

/* FROM DATADEF.GLOB*/
#ifndef MEPROC 
ELDOVAR long miproc;
#endif

ELDOVAR long nbmod;
ELDOVAR tymod *modmos;
ELDOVAR tytra *trans; ELDOVAR long nbtrans;
ELDOVAR tygeo *trageo;
ELDOVAR char *Mexpanded; 
ELDOVAR tytemptrans *temp_trans;
ELDOVAR tymossup *Mos_Sup;
ELDOVAR tyDEVSUP *DevSup;
ELDOVAR double *Mfact;
ELDOVAR double *temperature; ELDOVAR long nbtemp; 
ELDOVAR double tnom;

ELDOVAR double ktemps,kcapacite,kself,kcourant;
ELDOVAR double kresistance,klong,ksurf,ktension,kfrequence;

ELDOVAR tysup_info_dip **sup_info_dip;

ELDOVAR long devlp;
ELDOVAR char accusim2,precise,motorola_mod;

typedef struct S_tyGudm *ptsGudm;

typedef struct S_tymthev
{
  double ucourant,ucourbs,ucourbd,ucourcb;             /* 4 */
  double ucg1,ucg2,uc1b,uc2b,ucgb,ubip_gcs;              /* 6 */
  double urcvar,urac,uvdss,uvt;                /* 4 */
  double uM_cgg,uM_cgs,uM_cgd,uM_cgb;              /* 4 */
  double uM_csg,uM_css,uM_csd,uM_csb;              /* 4 */
  double uM_cdg,uM_cds,uM_cdd,uM_cdb;              /* 4 */
  double uM_cbg,uM_cbs,uM_cbd,uM_cbb;              /* 4 */
  double udids_vgs,udids_vds,udids_vbs;           /* 3 */
  double udicb_vgs,udicb_vds,udicb_vbs;           /* 3 */
  double ugmibd,ugmibs;                          /* 2 */
  double uMnqs;                                 /* 1 */
  double udc1b,udc2b;                            /* 2 */
  double ud2cg1,ucouric,ucourib;                  /* 3 */
  double uMCJS,uMCJD,uCOVGS,uCOVGD,uCOVGB,
                uMQBSJ,uMQBDJ;                   /* 7 */
  double uvtnvmcell,uifnnvmcell,uqnvmcell;        /* 3 */
  double udMnqs_vgs,udMnqs_vds,udMnqs_vbs;        /* 3 */
  long uicunu,uibypass;                    /* 1 */
  long uGudm_courant,uruntfs_dev,rtGiadd;
  double *uGtabVolt,ugmin;
  ptsGudm upt_Gudm_courant;
  char umos_normal_bias,uMresi,uMos_Deriv,uMstatique,
       uDO_DER,uBAD_POLR,upt_Gudm_mat_mksa,uoptim_nododock_mmksa;      /* 1 */
  char upnjlim_modif,uGbipder,ubjt_grosdv; /* 1 */
  char udio_outexp,ubip_outexp,udiopos,umos_diodir,upt_Gudm_mat_opt;  /* 1 */
} tymthev;
ELDOVAR tymthev *elmthev;

typedef struct S_tyfsthev
{
  long uGindex_MatG,uGindex_MatC;
  double *uGtabmatG,*uGtabmatC;
} tyfsthev;
ELDOVAR tyfsthev *fsthev;

#define Gudm_mat_Opt elmthev[miproc].upt_Gudm_mat_opt
#define gmin elmthev[miproc].ugmin
#define optim_nododock_mmksa elmthev[miproc].uoptim_nododock_mmksa
#define Gudm_courant elmthev[miproc].uGudm_courant
#define pt_Gudm_courant elmthev[miproc].upt_Gudm_courant
#define Gudm_mat_mksa elmthev[miproc].upt_Gudm_mat_mksa
#define diopos elmthev[miproc].udiopos
#define mos_diodir elmthev[miproc].umos_diodir
#define dio_outexp elmthev[miproc].udio_outexp
#define bip_outexp elmthev[miproc].ubip_outexp
#define pnjlim_modif elmthev[miproc].upnjlim_modif
#define Gbipder elmthev[miproc].uGbipder
#define bjt_grosdv elmthev[miproc].ubjt_grosdv
#define ibypass elmthev[miproc].uibypass
#define icunu  elmthev[miproc].uicunu
#define courant elmthev[ miproc].ucourant
#define courbs elmthev[miproc].ucourbs
#define courbd elmthev[miproc].ucourbd
#define courcb elmthev[miproc].ucourcb
#define bip_gcs elmthev[miproc].ubip_gcs
#define cg1 elmthev[miproc].ucg1
#define cg2 elmthev[miproc].ucg2
#define c1b elmthev[miproc].uc1b
#define c2b elmthev[miproc].uc2b
#define cgb elmthev[miproc].ucgb


#define g1b elmthev[miproc].ug1b
#define g2b elmthev[miproc].ug2b
#define rcvar elmthev[miproc].urcvar
#define rac elmthev[miproc].urac
#define vdss elmthev[miproc].uvdss
#define vt elmthev[miproc].uvt
#define vtcell elmthev[miproc].uvtnvmcell
#define ifnnvmcell elmthev[miproc].uifnnvmcell
#define qnvmcell elmthev[miproc].uqnvmcell

#define M_cgg elmthev[miproc].uM_cgg 
#define M_cgs elmthev[miproc].uM_cgs
#define M_cgd elmthev[miproc].uM_cgd
#define M_cgb elmthev[miproc].uM_cgb
#define M_csg elmthev[miproc].uM_csg
#define M_css elmthev[miproc].uM_css
#define M_csd elmthev[miproc].uM_csd
#define M_csb elmthev[miproc].uM_csb
#define M_cdg elmthev[miproc].uM_cdg
#define M_cds elmthev[miproc].uM_cds
#define M_cdd elmthev[miproc].uM_cdd
#define M_cdb elmthev[miproc].uM_cdb
#define M_cbg elmthev[miproc].uM_cbg
#define M_cbs elmthev[miproc].uM_cbs
#define M_cbd elmthev[miproc].uM_cbd
#define M_cbb elmthev[miproc].uM_cbb

#define dids_vgs elmthev[miproc].udids_vgs
#define dids_vds elmthev[miproc].udids_vds
#define dids_vbs elmthev[miproc].udids_vbs
#define dicb_vgs elmthev[miproc].udicb_vgs
#define dicb_vds elmthev[miproc].udicb_vds
#define dicb_vbs elmthev[miproc].udicb_vbs

#define gmibd elmthev[miproc].ugmibd
#define gmibs elmthev[miproc].ugmibs
#define dc1b elmthev[miproc].udc1b
#define dc2b elmthev[miproc].udc2b
#define d2cg1 elmthev[miproc].ud2cg1
#define couric elmthev[miproc].ucouric
#define courib elmthev[miproc].ucourib
#define MCJS elmthev[miproc].uMCJS
#define MCJD elmthev[miproc].uMCJD

#define dgbdvbc elmthev[miproc].uCOVGD
#define dgbdvbe elmthev[miproc].uCOVGS


#define COVGS elmthev[miproc].uCOVGS
#define COVGD elmthev[miproc].uCOVGD
#define COVGB elmthev[miproc].uCOVGB
#define MQBSJ elmthev[miproc].uMQBSJ
#define MQBDJ elmthev[miproc].uMQBDJ
#define mos_normal_bias elmthev[miproc].umos_normal_bias

/* For RBM derivatives.. */
#define dgcvbc elmthev[miproc].udMnqs_vbs
#define dgcvbe elmthev[miproc].udMnqs_vgs
#define dgcvce elmthev[miproc].udMnqs_vds

#define dMnqs_vbs elmthev[miproc].udMnqs_vbs
#define dMnqs_vgs elmthev[miproc].udMnqs_vgs
#define dMnqs_vds elmthev[miproc].udMnqs_vds
#define Mnqs      elmthev[miproc].uMnqs



#define resi elmthev[miproc].uMresi
#define Mos_Deriv elmthev[miproc].uMos_Deriv
#define DO_DER    elmthev[miproc].uDO_DER
#define BAD_POLR  elmthev[miproc].uBAD_POLR
#define Mstatique elmthev[miproc].uMstatique

#define eldoinfo mth_eldoinfo[miproc]
#define MG_Mid   mth_MG_Mid[miproc]

#define eldo_step_ord(a,b) mth_eldo_step_ord(miproc,a,b)

ELDOVAR double dio_isarg,dio_expisarg;
ELDOVAR double bip_isarg,bip_expisarg;

ELDOVAR char anglais,eldomos,MHS;
ELDOVAR char aspec,accessres;
ELDOVAR long nbcarlo,levelopt;
ELDOVAR char client,papcl,optimiser,optimtec,synthetiser,setupmos,
             xa_given;

/* default values for MOS geometries specified in the .OPTION Statement */
ELDOVAR double defw,defl,defpd,defps,defad,defas,defnrd,defnrs,sizd,sizg;
ELDOVAR double defbbl,defat,defcg,defct,defcd,defred,defqf,defres;
ELDOVAR double eps,eldo_gmin,reltol,chgtol,vntol,abstol,epnew;
ELDOVAR double globshrink,global_dcap;
ELDOVAR  double cimin,xasd;
ELDOVAR double scale_dev_mos,scale_mod_mos,scale_bsim;
ELDOVAR char r_access_mos,usedefap,opt_acm;
ELDOVAR tybsim ** trabsim;
ELDOVAR tybsim1 ** trabsim1;
ELDOVAR long flicker_noise,thermal_noise,AGD_nbruns,AGD_irun;
ELDOVAR long mos_numerical;

ELDOVAR tyMG_Mid  *mth_MG_Mid;
ELDOVAR ty_D_SimVar *mth_eldoinfo;
ELDOVAR char *eldomsg,*eldomsg2;
ELDOVAR double epso,boltz,charge,twopi;

ELDOVAR double mos_epbypass;
ELDOVAR char lambda_ramping;
ELDOVAR char G_allow_bypass_mos;
ELDOVAR char toler_vds;
ELDOVAR char approx;

#endif


