#ifndef  NOSTATVER
static char cvsid_varmod2[]="@(#) Anacad $Id: varmod2.h,v 1.16 2003/05/20 10:02:28 joelb Exp $"; /* %Z%%M% %I% %E% Anacad */
#endif
/*------------------------------------------------------------*/
/*                 ANACAD COMPUTER SYSTEM                     */
/*            COPYRIGHT                1990                   */
/*------------------------------------------------------------*/
/*                                                            */
/*     name : varmod2.h     |      release :                  */
/* language :  C            |      version : %I%              */
/*     date : %D%      |      author  :                  */
/*                                                            */
/*------------------------------------------------------------*/
/*                                                            */
/* parameters                                                 */
/* ==========                                                 */
/*                                                            */
/*  name   type  IN/OUT              function                 */
/*                                                            */
/*                                                            */
/*------------------------------------------------------------*/
/*                                                            */
/* modifications                                              */
/* =============                                              */
/*                                                            */
/*  date                             function                 */
/*                                                            */
/*------------------------------------------------------------*/


#ifndef ELDOVAR
#if vaxvms
#define ELDOVAR globalref
#else
#ifdef _BUILD_ELDO_DLL_
#define ELDOVAR __declspec(dllimport)
#else
#define ELDOVAR extern
#endif
#endif
#endif


ELDOVAR long itemp;

ELDOVAR double radrate,vback_soi;



ELDOVAR double epsox,epssil,ktsurq,egfet,oldvt,oldeg;
ELDOVAR long icarlo;
ELDOVAR char new_temp;
ELDOVAR char alternatif; /* TRUE if AC analysis, FALSE otherwise */
ELDOVAR char transitoire; /* TRUE if transient analysis, FALSE otherwise */
ELDOVAR char geodef;

ELDOVAR char msg_wrong_dim;
ELDOVAR double *memor,*ccourant;
ELDOVAR double vappel1,vappel2,vappel3;
ELDOVAR long iappel; 
ELDOVAR char newton;
ELDOVAR double  sig1 [5],sig2 [5]; 
ELDOVAR FILE *vchi;

ELDOVAR char pasconv,alafin,HB_NQS,pasconv_cki;


ELDOVAR tymemfast *memfast;
ELDOVAR ptbipmem *membip;
ELDOVAR double OMEGA,FREQ;



ELDOVAR char ramping;
ELDOVAR long acc,rej; 
ELDOVAR double val_gramp;

ELDOVAR long Gjaco;
ELDOVAR long iadresse;
ELDOVAR double **MatGudm;
ELDOVAR double Gudm_ag0; /* in CGS.. */
ELDOVAR double Gudm_ag0_kcapacite,Gudm_tot_noise;
ELDOVAR char Gudm_flag_noise,Gudm_flag_noise_ac;

ELDOVAR char restore_couric;
ELDOVAR double val_lambda_ramping;
ELDOVAR char simple_bjt,nqsok;


ELDOVAR char pasconv_pnjlim;

ELDOVAR char update_pnj;

ELDOVAR char spinitf;         /* not the 1st call of the first iteration
                                   1 1st call
                                   2 1st call (all the BIP are OFF)
                                   3 1st call after a .restart  */
ELDOVAR long initc;           /* 0: no OFF nodes
                                   1: nodeset
                                   2: off nodes are ignored */
ELDOVAR char equaspi;         /* .option spicedc is set */
                                /* no pnjlim is done when equaspi = 0 */


ELDOVAR char in_netbloc,check_i,
               ramp_cesat;
ELDOVAR char pnj_allowed; 

/* For output */
#define         BSIM3V3_INDEX_Visu              1
#define         BSIM3V3_INDEX_Beta              2
#define		BSIM3V3_NB_OF_INDEX             2	/* TOTAL */

#define DOING_AC alternatif
#define DOING_TRAN transitoire
 





